'use strict';

function isNaN(value) {
  // If ES6's `Number.isNaN` is available delegate it to that
  if (Number.isNaN) {
    return Number.isNaN(value);
  }

  // NaN is the only value which is not equal to itself.
  return value !== value;
}

isNaN.isNaN = isNaN;

function isNotNaN(value) {
  return !isNaN(value);
}

isNaN.isNotNaN = isNotNaN;

module.exports = isNaN;
