'use strict';

var assert = require('assert');
var isNaN = require('./index');

// The following tests are necessary because the default `isNaN` function,
// first tries to convert the input to a number and then only checks if the
// value is `NaN`. So, `+undefined`, `+{}` will pass the tests.
assert(isNaN.isNotNaN(undefined));
assert(isNaN.isNotNaN(null));
assert(isNaN.isNotNaN('thefourtheye'));
assert(isNaN.isNotNaN({}));
assert(isNaN.isNotNaN(0));
assert(isNaN.isNotNaN(+0));
assert(isNaN.isNotNaN(-0));
assert(isNaN.isNotNaN(Infinity));
assert(isNaN.isNotNaN(+Infinity));
assert(isNaN.isNotNaN(-Infinity));

assert(isNaN(Number.NaN));

// Check if the exported `isNaN` function is present in itself
assert.equal(isNaN, isNaN.isNaN);
